package com.seer.teach;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.gateway.config.SimpleUrlHandlerMappingGlobalCorsAutoConfiguration;

@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class, SimpleUrlHandlerMappingGlobalCorsAutoConfiguration.class},scanBasePackages = "com.seer.teach")
@EnableDiscoveryClient
@Slf4j
public class SeerGatewayApplicationBootStrap {

    public static void main(String[] args) {
        SpringApplication.run(SeerGatewayApplicationBootStrap.class, args);
        log.info("===========================================");
        log.info("===GatewayApplicationBootStrap启动成功=====");
        log.info("==========================================");
    }
}